Bug 1119265 - [RFE] Add '?' near all custom properties to explain what is the correct usage of custom property
Summary: [RFE] Add '?' near all custom properties to explain what is the correct usag...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.0.0-alpha
: ---
Assignee: Eli Mesika
QA Contact: GenadiC
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 11:50 UTC by GenadiC
Modified: 2016-01-20 08:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-20 08:02:57 UTC
oVirt Team: Infra
ylavi: ovirt-4.0.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description GenadiC 2014-07-14 11:50:06 UTC
Description of problem:
Today if only you make a mistake you get red mark on custom property field with explanation how to use it correctly.
This explanation should be always available using question mark (inclusing specific example if possilbe)

Comment 1 Lior Vernia 2014-07-22 11:23:59 UTC
This is not a network-specific issue - all custom properties in oVirt use the same widget (KeyValueModel/KeyValueWidget) and suffer from the same problem, so it would be best to solve this in these classes in a generic way. Care must be taken to make sure it doesn't break layout anywhere.

The informational message will have to be set on a per-usage basis and can be added by individual maintainers (perhaps use the default regex one if it's not overridden).

Comment 2 Itamar Heim 2014-07-24 22:39:25 UTC
the explanation/description should be part of the custom property config

Comment 3 Oved Ourfali 2014-08-03 04:48:22 UTC
(In reply to Itamar Heim from comment #2)
> the explanation/description should be part of the custom property config

Unless I'm missing something, that means they won't be localized.
Are we okay with that?

Comment 5 Einav Cohen 2014-08-13 20:01:47 UTC
(In reply to Oved Ourfali from comment #3)
> (In reply to Itamar Heim from comment #2)
> > the explanation/description should be part of the custom property config
> 
> Unless I'm missing something, that means they won't be localized.
> Are we okay with that?

IIUC, today if you are filling an invalid custom-property value, "you get red mark on custom property field *with explanation how to use it correctly*". 
I believe that this "explanation" is not localized today, which is not ideal, however I don't mind adding that exact same non-localized explanation elsewhere (i.e. in a tool-tip displayed when hovering on a newly-added help icon). 

If/once we will take care of localizing DB-based values / configuration values / ..., we will obviously take care of all locations within the GUI in which this "explanation" appears.

Comment 6 Red Hat Bugzilla Rules Engine 2015-10-19 10:53:56 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.


Note You need to log in before you can comment on or make changes to this bug.